---
sidebar_label: ConsoleMessage.stackTrace
---

# ConsoleMessage.stackTrace() method

The array of locations on the stack of the console message.

#### Signature:

```typescript
class ConsoleMessage {
  stackTrace(): ConsoleMessageLocation[];
}
```

**Returns:**

[ConsoleMessageLocation](./puppeteer.consolemessagelocation.md)\[\]
